def binary_search(start, seek):
    first=0
    last=len(start)-1
    while first<=last:
        mid=first + (last-first+1)//2
        if start[mid]==seek:
            return mid
        elif start[mid]>seek:
            last=mid-1
        else:
            first=mid+1
    return None

def show(start):
    for item in start:
        print(item)
    print()

def draw_arrow(value, n):
    print(str(n))
    print(str(n))

def display(start,value):
    show(start)
    position=binary_search(start,value)
    if position!=None:
        position=4*position+7
        draw_arrow(value,position)
    else:
        print(value)
    print()

def main():
    a=[2,5,11,13,44,80,100,110]
    display(a,13)
    display(a,2)

main()
    
